> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Matchmaking Queue

> SDK support is limited to C# and Java for this API. Remove a matchmaking queue config.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| MatchmakingQueueNotFound | 2016 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /Match/RemoveMatchmakingQueue
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /Match/RemoveMatchmakingQueue:
    post:
      tags:
        - Matchmaking Admin
      summary: Remove Matchmaking Queue
      description: >
        SDK support is limited to C# and Java for this API. Remove a matchmaking
        queue config.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | MatchmakingQueueNotFound | 2016 |
      operationId: RemoveMatchmakingQueue
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveMatchmakingQueueRequest'
        description: >-
          Deletes the configuration for a queue. This will permanently delete
          the configuration and players will no longer be able to match in the
          queue. All outstanding matchmaking tickets will be cancelled.
      responses:
        '200':
          $ref: '#/components/responses/RemoveMatchmakingQueueResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    RemoveMatchmakingQueueRequest:
      description: >-
        Deletes the configuration for a queue. This will permanently delete the
        configuration and players will no longer be able to match in the queue.
        All outstanding matchmaking tickets will be cancelled.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        QueueName:
          description: The Id of the matchmaking queue to remove.
          type: string
      example:
        QueueName: custom123
      x-AnyInclusiveFlags:
        - RequiresOptionalValueSupport
    RemoveMatchmakingQueueResult:
      type: object
      properties: {}
      x-AnyInclusiveFlags:
        - RequiresOptionalValueSupport
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    RemoveMatchmakingQueueResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/RemoveMatchmakingQueueResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Remove Matchmaking Queue](/services/playfab/api-references/rest/multiplayer/matchmaking-admin/remove-matchmaking-queue.md)
- [Set Matchmaking Queue](/api-reference/matchmaking-admin/set-matchmaking-queue.md)
- [Get Matchmaking Queue](/api-reference/matchmaking-admin/get-matchmaking-queue.md)
- [Configuring matchmaking queues](/services/playfab/multiplayer/matchmaking/config-queues.md)
- [List Matchmaking Queues](/api-reference/matchmaking-admin/list-matchmaking-queues.md)
